aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-verify-cell
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-verify-cell')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-verify-cell11
1 files changed, 11 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-verify-cell b/framework/src/onos/tools/test/bin/onos-verify-cell
new file mode 100755
index 00000000..4b3a0ee7
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-verify-cell
@@ -0,0 +1,11 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Verifies connectivity to each node in ONOS cell.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+for node in $(env | sort | egrep "OC[0-9N]+" | cut -d= -f2); do
+ printf "%s: " $node; ssh -n -o PasswordAuthentication=no $ONOS_USER@$node date
+done